{#
/**
 * @file
 * Default theme implementation to present a syntax component entity.
 *
 * This template is used when viewing a registered syntax component's page,
 * e.g., /admin/content/oi-syntax-component)/123. 123 being the syntax component's ID.
 *
 * Available variables:
 * - content: A list of content items. Use 'content' to print all content, or
 *   print a subset such as 'content.title'.
 * - attributes: HTML attributes for the container element.
 *
 * @see template_preprocess_oi_syntax_component()
 */
#}
{%
  set classes = [
    'oi-syntax-component',
    'oi-syntax-component--type-' ~ oi_syntax_component.bundle|clean_class,
    view_mode ? 'oi-syntax-component--view-mode-' ~ view_mode|clean_class,
  ]
%}
<article{{ attributes.addClass(classes) }}>
  {% if content %}
    {{- content -}}
  {% endif %}
</article>
